package com.bbd.bpm.service;

import com.bbd.bpm.dto.request.SpecialRequest;

import java.io.IOException;

/**
 * Created by yanlj on 2017/9/1.
 */
public interface ActivitiService {

    /**
     * 带跟踪的图片
     *
     * @param request
     * @return
     */
    byte[] traceProcessImage(SpecialRequest request) throws IOException;

    /**
     * 查看流程图
     *
     * @param request
     * @return
     */
    byte[] getProcessImage(SpecialRequest request);

    byte[] getdeployMent(SpecialRequest request);
}
